Get agent binary download sources

Base URL
https://{kibana_url}
  • GET /api/fleet/agent_download_sources
  • GET /s/{space_id}/api/fleet/agent_download_sources
Auth

List all agent binary download sources.

Required privileges

Privileges fleet-agent-policies-read or fleet-settings-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
items object[] · max items: 10000 required
host string · format: uri required
id string required
is_default boolean · default: false
is_preconfigured boolean
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

page number required
perPage number required
total number required
Base URL
https://{kibana_url}